Bug 667208 - Review Request: fbg2 - A falling block stacking game
Summary: Review Request: fbg2 - A falling block stacking game
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Gieseking
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 667205
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-04 19:55 UTC by Tom "spot" Callaway
Modified: 2011-06-15 18:32 UTC (History)
4 users (show)

Fixed In Version: fbg2-0.3-2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-15 18:29:21 UTC
martin.gieseking: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Tom "spot" Callaway 2011-01-04 19:55:42 UTC
Spec URL: http://www.auroralinux.org/people/spot/review/new/fbg2.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/new/fbg2-0.3-1.fc14.src.rpm
Description: 
Falling Block Game is a free, open source block stacking game. The object of
the game is to move and rotate pieces in order to fill in complete rows. The
more rows you clear at once, the more points you score!

Note: This depends on Radius-Engine (bz 667205)

Comment 1 Mario Blättermann 2011-02-13 17:59:18 UTC
Nice little game, really!

Your package is OK, no issues from rpmlint. I was able to build it, and it works fine. Your note about radius-engine is now obsolete, this package is already updated in F14.

But the package name could be changed, currently it says almost nothing. Well, the name comes from the tarball's name, but for package searches it is not really useful.

Comment 2 Martin Gieseking 2011-02-20 16:23:43 UTC
The package doesn't build in mock/koji because of a missing BR: zip:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2852534

Comment 4 Martin Gieseking 2011-02-21 17:53:46 UTC
The package looks fine now. It builds and works properly.
According to http://fedoraproject.org/wiki/Packaging/SourceURL#Sourceforge.net,
"project" should be removed from the Source0 URL. However, it also works as it is now.

$ rpmlint /var/lib/mock/fedora-14-x86_64/result/*.rpm
fbg2.x86_64: W: no-manual-page-for-binary fbg2
3 packages and 0 specfiles checked; 0 errors, 1 warnings.

The warning is expected and can be ignored (no manpage available).

---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    - application: GPLv2+
    - graphics and sound: CC-BY-SA

[+] MUST: The License field in the package spec file must match the actual license.
[+] MUST: The file containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum fbg2-0.3.tar.gz*
    548a63b729ed7c20da98389f4f3611bf  fbg2-0.3.tar.gz
    548a63b729ed7c20da98389f4f3611bf  fbg2-0.3.tar.gz.1

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[+] MUST: When compiling C, C++, or Fortran files, %{optflags} must be applied.
[.] MUST: The spec file MUST handle locales properly.
[.] MUST: If a package installs files below %{_datadir}/icons, the icon cache must be updated.
[.] MUST: Packages storing shared library files (not just symlinks) must call ldconfig in %post and %postun.
[+] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), ...
[.] MUST: devel packages must require the base package using a fully versioned dependency.
[.] MUST: Packages must NOT contain any .la libtool archives.
[+] MUST: Packages containing GUI applications must include a %{name}.desktop file.
[+] MUST: .desktop files must be properly installed with desktop-file-install in the %install section.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, ...
[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: The reviewer should test that the package functions as described.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: Your package should contain man pages for binaries/scripts.

----------------
Package APPROVED
----------------

Comment 5 Tom "spot" Callaway 2011-06-06 18:21:44 UTC
New Package SCM Request
=======================
Package Name: fbg2
Short Description: A falling block stacking game
Owners: spot
Branches: f13 f14 f15
InitialCC:

Comment 6 Gwyn Ciesla 2011-06-06 18:57:52 UTC
Git done (by process-git-requests).

No f13 branch.

Comment 7 Fedora Update System 2011-06-06 19:24:56 UTC
fbg2-0.3-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fbg2-0.3-2.fc14

Comment 8 Fedora Update System 2011-06-06 19:25:03 UTC
fbg2-0.3-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/fbg2-0.3-2.fc15

Comment 9 Fedora Update System 2011-06-07 04:39:19 UTC
fbg2-0.3-2.fc15 has been pushed to the Fedora 15 testing repository.

Comment 10 Fedora Update System 2011-06-15 18:29:15 UTC
fbg2-0.3-2.fc15 has been pushed to the Fedora 15 stable repository.

Comment 11 Fedora Update System 2011-06-15 18:32:01 UTC
fbg2-0.3-2.fc14 has been pushed to the Fedora 14 stable repository.


Note You need to log in before you can comment on or make changes to this bug.